Ask Your Question
1

Settings won't open on Gnome

asked 2019-04-02 13:59:23 -0600

Hi,

recently I'm not able to open Settings. Quick google search suggested:

sudo dnf reinstall libwbclient

but no luck as I get this message in response:

[dom@fedora-asus ~]$ sudo dnf reinstall libwbclient
Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/libdnf/module.py", line 14, in swig_import_helper
    return importlib.import_module(mname)
  File "/usr/lib64/python3.7/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 670, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 583, in module_from_spec
  File "<frozen importlib._bootstrap_external>", line 1043, in create_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
ImportError: /usr/lib64/python3.7/site-packages/libdnf/_module.so: undefined symbol: _ZN22ModulePackageContainer9uninstallERKSt10shared_ptrI13ModulePackageERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/dnf", line 57, in <module>
    from dnf.cli import main
  File "/usr/lib/python3.7/site-packages/dnf/__init__.py", line 30, in <module>
    import dnf.base
  File "/usr/lib/python3.7/site-packages/dnf/base.py", line 29, in <module>
    import libdnf.transaction
  File "/usr/lib64/python3.7/site-packages/libdnf/__init__.py", line 4, in <module>
    from . import module
  File "/usr/lib64/python3.7/site-packages/libdnf/module.py", line 17, in <module>
    _module = swig_import_helper()
  File "/usr/lib64/python3.7/site-packages/libdnf/module.py", line 16, in swig_import_helper
    return importlib.import_module('_module')
  File "/usr/lib64/python3.7/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
ModuleNotFoundError: No module named '_module'

Time to say goodbye to Gnome and welcome KDE or there's still a chance?

edit retag flag offensive close merge delete

Comments

Did it ever work (and then it stopped working)? Or has it never worked since installation? (That's a bummer that dnf broke.) Instead of reinstall, what if you remove then install?

wallyk gravatar imagewallyk ( 2019-04-02 17:13:10 -0600 )edit

It worked just fine for at least last few months, and like couple of days ago it just suddenly stopped. No matter of function reinstall/remove/install I get the same error.

I think I should add that from the very beginning with Fedora I got issues with updates - can't download or install them from the Software app.

himynameispeenie gravatar imagehimynameispeenie ( 2019-04-03 01:09:29 -0600 )edit

looks the the module isn't compatible with the rest. AS DNF now stopped working, you can use "koji.fedoraproject.org" and download the entire packages you need of an older version and install those with rpm directly. As python is involved, it may take a lot of packages.

rdtcustomercare gravatar imagerdtcustomercare ( 2019-04-03 16:10:39 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2019-04-03 03:37:15 -0600

wallyk gravatar image

If doing a reinstall from scratch isn't a desirable option, maybe you can repair dnf by

  1. Booting a Live Fedora thumb drive. (instructions)
  2. Mount your system's permanent drives.
    (open a terminal)
    $ su (become root)
    # mkdir /media/root /media/home (provide mount points)
    # mount /dev/mapper/root /media/root
    # mount /dev/mapper/home /media/home
  3. If the live system version matches your Fedora installation closely enough, copy the dnf programs from it to the system. Check the stack trace in your question for directories where the dnf programs are.

    # cp /usr/bin/dnf* /media/root/usr/bin/
    # cp /usr/lib64/python3.7/site-packages/libdnf/* /media/root/usr/lib64/python3.7/site-packages/libdnf/ (etc.)

I haven't checked any of this, so there could be typos, errors in logic, etc.

edit flag offensive delete link more

Question Tools

Stats

Asked: 2019-04-02 13:59:23 -0600

Seen: 557 times

Last updated: Apr 03 '19